Skip to main content
POST
/
organizations
/
{organizationId}
/
entitlements
Add entitlement to organization
curl --request POST \
  --url https://api.hixbe.com/account/organizations/{organizationId}/entitlements \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "service": "PAYMENT_GATEWAY",
  "tier": "FREE",
  "customLimits": {
    "requestsPerMonth": 123,
    "storageGB": 123
  }
}
'
{
  "id": "<string>",
  "service": "PAYMENT_GATEWAY",
  "tier": "FREE",
  "status": "ACTIVE",
  "usage": {
    "current": 123,
    "limit": 123
  },
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

Body

application/json
service
enum<string>
required

Service to add entitlement for

Available options:
PAYMENT_GATEWAY,
SMS_GATEWAY,
LINK_SHORTENER,
PBX_CALL_CENTER,
HOSTING,
NATIONAL_ISP,
CERTIFICATION_BADGE
tier
enum<string>
required

Subscription tier

Available options:
FREE,
PRO,
BUSINESS,
CUSTOM
customLimits
object

Custom limits for CUSTOM tier

Response

201 - application/json

Entitlement added successfully

id
string
required

Entitlement unique identifier

service
enum<string>
required

Service this entitlement is for

Available options:
PAYMENT_GATEWAY,
SMS_GATEWAY,
LINK_SHORTENER,
PBX_CALL_CENTER,
HOSTING,
NATIONAL_ISP,
CERTIFICATION_BADGE
tier
enum<string>
required

Subscription tier

Available options:
FREE,
PRO,
BUSINESS,
CUSTOM
status
enum<string>
required

Entitlement status

Available options:
ACTIVE,
SUSPENDED,
CANCELLED,
EXPIRED
usage
object

Usage tracking information

createdAt
string<date-time>

Entitlement creation timestamp

updatedAt
string<date-time>

Entitlement last update timestamp